Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.jsptools.portal
Class PortalAdminInstanceManager

    java.lang.Object
      com.bea.jsptools.portal.PortalManager
          com.bea.jsptools.portal.PortalAdminInstanceManager

public class PortalAdminInstanceManager
extends PortalManager

Field Summary
`static String` | `I18N_FILE`
`static PortalLogger` | `logger`

Constructor Summary
`PortalAdminInstanceManager()`

Method Summary
`static void` | `addNavigableToBookInstance(String navId, String bookId, String navType, String webApp, String portalPath, String desktopPath, HttpServletRequest request)`
`static void` | `addNewBookToBookInstance(String bookId, String webAppName, String portalPath, String desktopPath, Locale locale, HttpServletRequest request)`
`static void` | `addNewBookToPageInstance(String pageId, String webAppName, String portalPath, String desktopPath, Locale locale, HttpServletRequest request)`
`static void` | `addNewPageToBookInstance(String bookId, String webAppName, String portalPath, String desktopPath, Locale locale, HttpServletRequest request)`
`static void` | `addPlaceableToPageInstance(String placeableId, String pageId, String placeableType, String webApp, String portalPath, String desktopPath, HttpServletRequest request)`
`static boolean` | `canPropagatePortletPreferences(String portletId, String webAppName, HttpServletRequest request)`
`static PortletInstanceId` | `deletePortletPreference(String portletId, String prefName, boolean checkForSuccessor, String webAppName, String portalPath, String desktopPath, HttpServletRequest request)`
`static BookView` | `getBookView(String bookInstanceId, String webApp, String portalPath, String desktopPath, Locale locale, HttpServletRequest request)`
`static BookView[]` | `getBookViews(String bookInstanceId, String webApp, String portalPath, String desktopPath, Locale locale, HttpServletRequest request)`
`static BookView[]` | `getBookViewsForPage(String pageInstanceId, String webApp, String portalPath, String desktopPath, Locale locale, HttpServletRequest request)`
`static DesktopView` | `getDesktopView(String webApp, String portalPath, String desktopPath, Locale locale, HttpServletRequest request)`
`static DesktopView[]` | `getDesktopViews(String webApp, String portalPath, Locale locale, HttpServletRequest request)`
`static PageView` | `getPageView(String pageInstanceId, String webApp, String portalPath, String desktopPath, Locale locale, HttpServletRequest request)`
`static PageView[]` | `getPageViews(String bookInstanceId, String webApp, String portalPath, String desktopPath, Locale locale, HttpServletRequest request)`
`static PortletInstance` | `getPortletInstance(PortletInstanceId pii, Locale locale, HttpServletRequest request)`
`static Map` | `getPortletPreferences(String portletId, String webAppName, String portalPath, String desktopPath, HttpServletRequest request)`
`static PortletView` | `getPortletView(String portletInstanceId, String webApp, String portalPath, String desktopPath, Locale locale, HttpServletRequest request)`
`static PortletView[]` | `getPortletViews(String pageInstanceId, String webApp, String portalPath, String desktopPath, Locale locale, HttpServletRequest request)`
`static boolean` | `isPlaceholderLocked(String webApp, String portalPath, String desktopPath, String pageId, String placeholderNum, HttpServletRequest request)`
`static void` | `moveNavigableInBookInstance(String navId, String bookId, String navType, String navPosition, String webAppName, String portalPath, String desktopPath, HttpServletRequest request)`
`static void` | `movePlaceableInstances(com.bea.jsptools.portal.placement.PlaceablePlacement[] placeables, String pageId, String webApp, String portalPath, String desktopPath, HttpServletRequest request)`
`static PortletInstanceId` | `propagatePortletPreference(String portletId, String webAppName, HttpServletRequest request)`
`static boolean` | `removeNavFromBookInstance(String navId, String navType, String webApp, String portalPath, String desktopPath, HttpServletRequest request)`
`static boolean` | `removePlaceableFromPageInstance(String placeableId, String placeableType, String webApp, String portalPath, String desktopPath, HttpServletRequest request)`
`static void` | `removePlaceableInstances(com.bea.jsptools.portal.placement.PlaceablePlacement[] placeables, String webapp, String portalPath, String desktopPath, HttpServletRequest request)`
`static void` | `setDefaultNavigableInBookInstance(String bookId, String navId, String navType, String webApp, String portalPath, String desktopPath, HttpServletRequest request)`
`static void` | `setPlaceholderLock(String webApp, String portalPath, String desktopPath, String pageId, String placeholderNum, String lockValue, HttpServletRequest request)`
`static PortletInstanceId` | `setPortletPreference(String portletId, String prefName, String prefDescription, String[] prefValues, boolean isModifiable, boolean isMultiValue, boolean checkForSuccessor, String webAppName, String portalPath, String desktopPath, HttpServletRequest request)`
`static boolean` | `supportsPortletPreferences(String portletId, String webAppName, HttpServletRequest request)`
`static BookInstance` | `updateBookInstance(String bookId, String newMenuId, String newThemeId, String webApp, String portalPath, String desktopPath, Locale locale, HttpServletRequest request)`
`static String` | `updateCurrentNodeTaxonomy(String currentTaxonomy, String resourceType, String selectedId)`
`static PageInstance` | `updatePageInstance(String pageId, String newLayoutId, String newThemeId, String webApp, String portalPath, String desktopPath, Locale locale, HttpServletRequest request)`
`static PageInstance` | `updatePageInstanceLayout(String pageId, String newLayoutId, String webApp, String portalPath, String desktopPath, Locale locale, HttpServletRequest request)`
`static PortletInstance` | `updatePortletInstance(String id, String newThemeId, String webApp, String portalPath, String desktopPath, Locale locale, HttpServletRequest request)`

Methods inherited from class com.bea.jsptools.portal.PortalManager
`createBookDefinition, createPageDefinition, getBookInstance, getBookView, getDesktopView, getLayoutDefinitions, getLayoutHtml, getLookAndFeelDefinitions, getMenuDefinitions, getPageInstance, getPageView, getPortletDefinitions, getPortletInstance, getPublicBookDefinitions, getPublicPageDefinitions, getThemeDefinitions, isPlaceholderInstanceLocked, setPortalLogger, updateBookInstanceMenu, updateBookInstanceTheme, updateBookInstanceTitle, updateDesktopInstance, updatePageInstanceLayout, updatePageInstanceTheme, updatePageInstanceTitle, updatePortletInstanceTheme, updatePortletInstanceTitle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### I18N_FILE

    public static final String I18N_FILE

See Also:
  Constant Field Values

### logger

    public static PortalLogger logger

Constructor Detail

### PortalAdminInstanceManager

    public PortalAdminInstanceManager()

Method Detail

### addNavigableToBookInstance

    public static void addNavigableToBookInstance(String navId,
                                                  String bookId,
                                                  String navType,
                                                  String webApp,
                                                  String portalPath,
                                                  String desktopPath,
                                                  HttpServletRequest request)

### addNewBookToBookInstance

    public static void addNewBookToBookInstance(String bookId,
                                                String webAppName,
                                                String portalPath,
                                                String desktopPath,
                                                Locale locale,
                                                HttpServletRequest request)

### addNewBookToPageInstance

    public static void addNewBookToPageInstance(String pageId,
                                                String webAppName,
                                                String portalPath,
                                                String desktopPath,
                                                Locale locale,
                                                HttpServletRequest request)

### addNewPageToBookInstance

    public static void addNewPageToBookInstance(String bookId,
                                                String webAppName,
                                                String portalPath,
                                                String desktopPath,
                                                Locale locale,
                                                HttpServletRequest request)

### addPlaceableToPageInstance

    public static void addPlaceableToPageInstance(String placeableId,
                                                  String pageId,
                                                  String placeableType,
                                                  String webApp,
                                                  String portalPath,
                                                  String desktopPath,
                                                  HttpServletRequest request)

### canPropagatePortletPreferences

    public static boolean canPropagatePortletPreferences(String portletId,
                                                         String webAppName,
                                                         HttpServletRequest request)

### deletePortletPreference

    public static PortletInstanceId deletePortletPreference(String portletId,
                                                            String prefName,
                                                            boolean checkForSuccessor,
                                                            String webAppName,
                                                            String portalPath,
                                                            String desktopPath,
                                                            HttpServletRequest request)

### getBookView

    public static BookView getBookView(String bookInstanceId,
                                       String webApp,
                                       String portalPath,
                                       String desktopPath,
                                       Locale locale,
                                       HttpServletRequest request)

### getBookViews

    public static BookView[] getBookViews(String bookInstanceId,
                                          String webApp,
                                          String portalPath,
                                          String desktopPath,
                                          Locale locale,
                                          HttpServletRequest request)

### getBookViewsForPage

    public static BookView[] getBookViewsForPage(String pageInstanceId,
                                                 String webApp,
                                                 String portalPath,
                                                 String desktopPath,
                                                 Locale locale,
                                                 HttpServletRequest request)

### getDesktopView

    public static DesktopView getDesktopView(String webApp,
                                             String portalPath,
                                             String desktopPath,
                                             Locale locale,
                                             HttpServletRequest request)

### getDesktopViews

    public static DesktopView[] getDesktopViews(String webApp,
                                                String portalPath,
                                                Locale locale,
                                                HttpServletRequest request)

### getPageView

    public static PageView getPageView(String pageInstanceId,
                                       String webApp,
                                       String portalPath,
                                       String desktopPath,
                                       Locale locale,
                                       HttpServletRequest request)

### getPageViews

    public static PageView[] getPageViews(String bookInstanceId,
                                          String webApp,
                                          String portalPath,
                                          String desktopPath,
                                          Locale locale,
                                          HttpServletRequest request)

### getPortletInstance

    public static PortletInstance getPortletInstance(PortletInstanceId pii,
                                                     Locale locale,
                                                     HttpServletRequest request)

### getPortletPreferences

    public static Map getPortletPreferences(String portletId,
                                            String webAppName,
                                            String portalPath,
                                            String desktopPath,
                                            HttpServletRequest request)

### getPortletView

    public static PortletView getPortletView(String portletInstanceId,
                                             String webApp,
                                             String portalPath,
                                             String desktopPath,
                                             Locale locale,
                                             HttpServletRequest request)

### getPortletViews

    public static PortletView[] getPortletViews(String pageInstanceId,
                                                String webApp,
                                                String portalPath,
                                                String desktopPath,
                                                Locale locale,
                                                HttpServletRequest request)

### isPlaceholderLocked

    public static boolean isPlaceholderLocked(String webApp,
                                              String portalPath,
                                              String desktopPath,
                                              String pageId,
                                              String placeholderNum,
                                              HttpServletRequest request)

### moveNavigableInBookInstance

    public static void moveNavigableInBookInstance(String navId,
                                                   String bookId,
                                                   String navType,
                                                   String navPosition,
                                                   String webAppName,
                                                   String portalPath,
                                                   String desktopPath,
                                                   HttpServletRequest request)

### movePlaceableInstances

    public static void movePlaceableInstances(com.bea.jsptools.portal.placement.PlaceablePlacement[] placeables,
                                              String pageId,
                                              String webApp,
                                              String portalPath,
                                              String desktopPath,
                                              HttpServletRequest request)

### propagatePortletPreference

    public static PortletInstanceId propagatePortletPreference(String portletId,
                                                               String webAppName,
                                                               HttpServletRequest request)

### removeNavFromBookInstance

    public static boolean removeNavFromBookInstance(String navId,
                                                    String navType,
                                                    String webApp,
                                                    String portalPath,
                                                    String desktopPath,
                                                    HttpServletRequest request)

### removePlaceableFromPageInstance

    public static boolean removePlaceableFromPageInstance(String placeableId,
                                                          String placeableType,
                                                          String webApp,
                                                          String portalPath,
                                                          String desktopPath,
                                                          HttpServletRequest request)

### removePlaceableInstances

    public static void removePlaceableInstances(com.bea.jsptools.portal.placement.PlaceablePlacement[] placeables,
                                                String webapp,
                                                String portalPath,
                                                String desktopPath,
                                                HttpServletRequest request)

### setDefaultNavigableInBookInstance

    public static void setDefaultNavigableInBookInstance(String bookId,
                                                         String navId,
                                                         String navType,
                                                         String webApp,
                                                         String portalPath,
                                                         String desktopPath,
                                                         HttpServletRequest request)

### setPlaceholderLock

    public static void setPlaceholderLock(String webApp,
                                          String portalPath,
                                          String desktopPath,
                                          String pageId,
                                          String placeholderNum,
                                          String lockValue,
                                          HttpServletRequest request)

### setPortletPreference

    public static PortletInstanceId setPortletPreference(String portletId,
                                                         String prefName,
                                                         String prefDescription,
                                                         String[] prefValues,
                                                         boolean isModifiable,
                                                         boolean isMultiValue,
                                                         boolean checkForSuccessor,
                                                         String webAppName,
                                                         String portalPath,
                                                         String desktopPath,
                                                         HttpServletRequest request)

### supportsPortletPreferences

    public static boolean supportsPortletPreferences(String portletId,
                                                     String webAppName,
                                                     HttpServletRequest request)

### updateBookInstance

    public static BookInstance updateBookInstance(String bookId,
                                                  String newMenuId,
                                                  String newThemeId,
                                                  String webApp,
                                                  String portalPath,
                                                  String desktopPath,
                                                  Locale locale,
                                                  HttpServletRequest request)

### updateCurrentNodeTaxonomy

    public static String updateCurrentNodeTaxonomy(String currentTaxonomy,
                                                   String resourceType,
                                                   String selectedId)

### updatePageInstance

    public static PageInstance updatePageInstance(String pageId,
                                                  String newLayoutId,
                                                  String newThemeId,
                                                  String webApp,
                                                  String portalPath,
                                                  String desktopPath,
                                                  Locale locale,
                                                  HttpServletRequest request)

### updatePageInstanceLayout

    public static PageInstance updatePageInstanceLayout(String pageId,
                                                        String newLayoutId,
                                                        String webApp,
                                                        String portalPath,
                                                        String desktopPath,
                                                        Locale locale,
                                                        HttpServletRequest request)

### updatePortletInstance

    public static PortletInstance updatePortletInstance(String id,
                                                        String newThemeId,
                                                        String webApp,
                                                        String portalPath,
                                                        String desktopPath,
                                                        Locale locale,
                                                        HttpServletRequest request)

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved